"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const qpqAwsLambdaRuntimeConfigUtils_1 = require("../../../runtimeConfig/qpqAwsLambdaRuntimeConfigUtils");
const quidproquo_core_1 = require("quidproquo-core");
const s3Utils_1 = require("../../../logic/s3/s3Utils");
const getProcessFileDelete = (runtimeConfig) => {
    return ({ drive, filepaths }) => __awaiter(void 0, void 0, void 0, function* () {
        const s3BucketName = (0, qpqAwsLambdaRuntimeConfigUtils_1.resolveResourceName)(drive, runtimeConfig);
        const errored = yield (0, s3Utils_1.deleteFiles)(s3BucketName, filepaths);
        // errored deletes are a graceful success ~ Retry
        // if (errored.length > 0) {
        //   return actionResultError(
        //     ErrorTypeEnum.GenericError,
        //     `Could not delete files ${errored.length}`,
        //   );
        // }
        return (0, quidproquo_core_1.actionResult)(errored);
    });
};
exports.default = (runtimeConfig) => ({
    [quidproquo_core_1.FileActionType.Delete]: getProcessFileDelete(runtimeConfig),
});
